Bug 279901 - After installation,symbolic links contain extraneous /, and named.log file not created
After installation,symbolic links contain extraneous /, and named.log file no...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 20:53 EDT by Quentin Armitage
Modified: 2013-04-30 19:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 9.5.0-12.4.a6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 07:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file to resolve the two issues identified. The permission setting for named.log may well be incorrect. (2.71 KB, patch)
2007-09-05 20:53 EDT, Quentin Armitage
no flags Details | Diff

  None (edit)
Description Quentin Armitage 2007-09-05 20:53:15 EDT
Description of problem:
1) Symbolic links for files /etc/named.*, /var/named/*, /etc/rndc.*, and
/var/log/named.log are created with a double '/' in the path name, e.g.
/etc/named.conf -> /var/named/chroot//etc/named.conf.
2) File /var/named/chroot/var/log/named.log is not created.

Version-Release number of selected component (if applicable):bind-9.5.0-11.a6.fc8


How reproducible:Always


Steps to Reproduce:
1.Install bind
2.
3.
  
Actual results:
1. Symbolic pathnames contain an extraneous /.
2. Log file does not exist.

Expected results:
1. Path names should not contain double /.
2. Log file should exist


Additional info: The method used in the patch of setting ownership and
permissions for /var/named/chroot/var/log/named.log may well be incorrect.
Comment 1 Quentin Armitage 2007-09-05 20:53:15 EDT
Created attachment 188311 [details]
Patch file to resolve the two issues identified. The permission setting for named.log may well be incorrect.
Comment 2 Adam Tkac 2007-09-20 07:10:30 EDT
Commited with some changes. Thanks for patch

Adam

Note You need to log in before you can comment on or make changes to this bug.